> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Starts a questionnaire survey for multiple clients with specified scheduling parameters.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json post /questionnaires/{id}/start-for-clients
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /questionnaires/{id}/start-for-clients:
    post:
      tags:
        - Questionnaire
      summary: >-
        Starts a questionnaire survey for multiple clients with specified
        scheduling parameters.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the questionnaire to start.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        description: >-
          The list of client-specific survey start requests with scheduling
          details.
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StartQuestionnaireForClientRequest'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StartQuestionnaireForClientRequest'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StartQuestionnaireForClientRequest'
      responses:
        '200':
          description: OK
        '204':
          description: >-
            Questionnaire surveys scheduled successfully for all specified
            clients.
components:
  schemas:
    StartQuestionnaireForClientRequest:
      type: object
      properties:
        clientId:
          type: integer
          format: int32
        questionnaireId:
          type: integer
          format: int32
        startDate:
          type: string
          format: date-time
        interval:
          type: integer
          format: int32
        retries:
          type: integer
          format: int32
        intervalBackOffMultiplier:
          type: integer
          format: int32
      additionalProperties: false

````